a {
  text-decoration: none;
}

.text-justify {
  text-align: justify;
}

.position-absolute-center {
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.bg-main {
  background-color: rgba(23, 19, 71, 0.8);
  color: white;
}

@font-face {
  font-family: "myFont_thin";
  src: url("../assets/fonts/Alibaba_PuHuiTi_2.0_35_Thin_35_Thin.ttf");
}

@font-face {
  font-family: "myFont_light";
  src: url("../assets/fonts/Alibaba_PuHuiTi_2.0_45_Light_45_Light.ttf");
}

@font-face {
  font-family: "myFont_heavy";
  src: url("../assets/fonts/Alibaba_PuHuiTi_2.0_105_Heavy_105_Heavy.ttf");
}

@font-face {
  font-family: "myFont_regular";
  src: url("../assets/fonts/Alibaba_PuHuiTi_2.0_55_Regular_55_Regular.ttf");
}

* {
  font-family: "myFont_regular";
}

.bg-img-center {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.idx-br-img {
  height: 100%;
  width: 100%;
}

.ov-h {
  overflow: hidden;
}

.de .sec {
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 600px;
  position: relative;
}

.de .sec .title {
  background-color: rgba(30, 107, 177, 0.8);
  color: white;
  position: absolute;
  left: 0;
  bottom: 40px;
  width: 50%;
  text-align: right;
  padding: 15px 20px;
}

.de .sub-title {
  padding: 15px 50px;
  margin: 0;
}

.de .d-f {
  display: flex;
  padding: 20px 50px;
  align-items: center;
}

.de .d-f .f-i {
  width: 50%;
}

.de .content {
  width: 50%;
  padding: 50px 70px;
  background-color: rgba(30, 107, 177, 0.8);
  color: white;
  right: 80px;
}

.de .content h1 {
  padding: 15px 0;
}

.de .content h5 {
  line-height: 35px;
  border-left: 2px solid #fff;
  padding-left: 10px;
  text-align: justify;
}

.de .content p {
  padding: 0;
  margin: 0;
}

.de .content p.t {
  font-size: 1.5rem;
  padding: 10px 0;
}

.de .bck-w {
  background-color: rgba(255, 255, 255, 0.8);
  color: #555;
}

.de .bck-w h5 {
  border-color: #555;
}

.de .bgi1 {
  background-image: url("../assets/images/vi_featured_img.jpg");
}

.de .bgi2 {
  background-image: url("../assets/images/vi_about_row.jpeg");
}

.de .bgi3 {
  background-image: url("../assets/images/vi_bin_stock_row.jpeg");
}

.de .bgi4 {
  background-image: url("../assets/images/vi_visible_inv_row.jpeg");
}

.de .bgi5 {
  background-image: url("../assets/images/engineering_header.jpg");
}

.de .bgi6 {
  background-image: url("../assets/images/engineering_desc.jpg");
}

.de .bgi7 {
  background-image: url("../assets/images/engineering_custom_design.jpg");
}

.de .bgi8 {
  background-image: url("../assets/images/engineering_app_support.jpg");
}

.de .bgi9 {
  background-image: url("../assets/images/reverse_engineering.jpg");
}

.de .bgi10 {
  background-image: url("../assets/images/engineering_3d_modeling.jpg");
}

.de .bgi11 {
  background-image: url("../assets/images/header_sized.jpg");
}

.de .bgi12 {
  background-image: url("../assets/images/quality_guarantee_sized.jpg");
}

.de .bgi13 {
  background-image: url("../assets/images/cnc_sized.jpg");
}

.de .bgi14 {
  background-image: url("../assets/images/finishing_sized.jpg");
}

.de .bgi14 {
  background-image: url("../assets/images/unad.jpg");
}

.h-img-item h2 {
  display: block;
  left: 0;
  top: 20px;
  background-color: #1e6bb1;
  color: white;
  padding: 15px 20px;
  transition: all 0.5s;
  user-select: none;
}

.h-img-item:hover h2 {
  padding: 15px 20px 15px 50px;
}

.font-a {
  font-family: "arial black";
}

body {
  background-color: rgba(249, 249, 249, 0.8);
}

body .main {
  padding-top: 76px;
  padding-bottom: 3rem;
  min-height: calc(100vh - 260px);
}

body .bg1 {
  background-image: url("../assets/test/bg1.png");
}

body .spanborder {
  border-bottom: 1px solid #e8f3ec;
  color: #1e6bb1;
}

body .spanborder span {
  border-bottom: 1px solid rgba(0, 0, 0, 0.44);
  display: inline-block;
}

body .cur-p {
  cursor: pointer;
}

body .idx-about {
  height: 50vh;
  background-image: url("../assets/test/bg2.png");
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

body footer {
  color: #ffffff;
}

body footer h6 {
  font-size: 0.8rem;
}

body footer p {
  padding-top: 2rem;
  margin: 0;
  font-size: 0.6rem;
}

body footer .f-top {
  background-color: #ffffff;
}

body footer .f-top img {
  width: 85px;
  height: auto;
}

body footer .f-bottom {
  background-color: rgba(30, 107, 177, 0.8);
}

body footer .f-qrcode img {
  width: 120px;
  height: 120px;
}

body .img-hover img {
  transition: all 0.5s;
}

body .img-hover:hover img {
  transform: scale(1.1);
}

body .right-nav {
  position: fixed;
  z-index: 999;
  right: 10px;
  bottom: 25vh;
  width: 50px;
}

body .right-nav .right-nav-item {
  width: 100%;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  background-color: #1e6bb1;
  position: relative;
}

body .right-nav .right-nav-item h5 {
  position: absolute;
  right: 100%;
  top: 0;
  width: 200px;
  height: 100%;
  background-color: #1e6bb1;
}

body .right-nav .right-nav-item img {
  width: 100%;
  height: auto;
}

body .right-nav .right-nav-item #qc {
  position: absolute;
  right: 110%;
  width: 150px;
  height: 150px;
  border: 4px solid #1e6bb1;
}

body .message-board {
  position: fixed;
  right: 10px;
  bottom: 3vh;
  width: 250px;
}

body .message-board .message-content {
  background-color: white;
}

body #sent-success {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: white;
  left: 0;
  top: 0;
  display: none;
}

.brand-bg-0 {
  background-color: #686de0;
}

.brand-bg-1 {
  background-color: #ffbe76;
}

.brand-bg-2 {
  background-color: #badc58;
}

.brand-bg-3 {
  background-color: #ff7979;
}

.brand-bg-4 {
  background-color: #95afc0;
}

.carousel-dark .carousel-indicators [data-bs-target] {
  background-color: #1e6bb1;
}

@media screen and (max-width: 960px) {
  .de .d-f {
    display: flex;
    padding: 20px 50px;
    align-items: center;
  }
  .de .d-f .f-i {
    width: 100% !important;
  }
}

@media screen and (max-width: 640px) {
  .carousel-inner img {
    height: 30vh;
    object-fit: cover;
  }
  .de .d-f {
    display: flex;
    padding: 10px 15px;
    align-items: center;
  }
  .de .d-f .f-i {
    width: 50%;
  }
  .de .content {
    padding: 20px 30px;
  }
}

@media screen and (min-width: 768px) {
  .container {
    max-width: 85% !important;
  }
}
